org.apache.storm.generated

## Class Nimbus.AsyncClient.uploadNewCredentials_call

- java.lang.Object
- - org.apache.storm.thrift.async.TAsyncMethodCall<Void>
  - - org.apache.storm.generated.Nimbus.AsyncClient.uploadNewCredentials_call

- Enclosing class:
    Nimbus.AsyncClient

      public static class Nimbus.AsyncClient.uploadNewCredentials_call
      extends org.apache.storm.thrift.async.TAsyncMethodCall<Void>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.thrift.async.TAsyncMethodCall

      `org.apache.storm.thrift.async.TAsyncMethodCall.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.async.TAsyncMethodCall

      `client, transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `uploadNewCredentials_call(String name, Credentials creds, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler, org.apache.storm.thrift.async.TAsyncClient client, org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory, org.apache.storm.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `getResult()`
    `void` | `write_args(org.apache.storm.thrift.protocol.TProtocol prot)`

    - ### Methods inherited from class org.apache.storm.thrift.async.TAsyncMethodCall

      `getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### uploadNewCredentials_call

          public uploadNewCredentials_call(String name,
                                           Credentials creds,
                                           org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler,
                                           org.apache.storm.thrift.async.TAsyncClient client,
                                           org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory,
                                           org.apache.storm.thrift.transport.TNonblockingTransport transport)
                                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

  - ### Method Detail

    - #### write_args

          public void write_args(org.apache.storm.thrift.protocol.TProtocol prot)
                          throws org.apache.storm.thrift.TException

      Specified by:
        `write_args` in class `org.apache.storm.thrift.async.TAsyncMethodCall<Void>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### getResult

          public Void getResult()
                         throws NotAliveException,
                                InvalidTopologyException,
                                AuthorizationException,
                                org.apache.storm.thrift.TException

      Specified by:
        `getResult` in class `org.apache.storm.thrift.async.TAsyncMethodCall<Void>`
      Throws:
        `NotAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.